# Uses of Class
net.shibboleth.idp.authn.MultiFactorAuthenticationTransition

Packages that use MultiFactorAuthenticationTransition
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of MultiFactorAuthenticationTransition in net.shibboleth.idp.authn.context

Fields in net.shibboleth.idp.authn.context with type parameters of type MultiFactorAuthenticationTransition
Modifier and Type
Field
Description
`private Map<String,MultiFactorAuthenticationTransition>`
MultiFactorAuthenticationContext.`transitionMap`
Map of login "factors" (flows) and the transition rules to run after them.
Methods in net.shibboleth.idp.authn.context that return types with arguments of type MultiFactorAuthenticationTransition
Modifier and Type
Method
Description
`Map<String,MultiFactorAuthenticationTransition>`
MultiFactorAuthenticationContext.`getTransitionMap()`
Get a live map of the transitions to apply.
Method parameters in net.shibboleth.idp.authn.context with type arguments of type MultiFactorAuthenticationTransition
Modifier and Type
Method
Description
`MultiFactorAuthenticationContext`
MultiFactorAuthenticationContext.`setTransitionMap(Map<String,MultiFactorAuthenticationTransition> map)`
Set the map of transitions to apply, replacing any existing entries.

## Uses of MultiFactorAuthenticationTransition in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl with type parameters of type MultiFactorAuthenticationTransition
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Map<String,MultiFactorAuthenticationTransition>>`
PopulateMultiFactorAuthenticationContext.`transitionMapLookupStrategy`
Lookup strategy for obtaining the map of transition rules to use.
Methods in net.shibboleth.idp.authn.impl with parameters of type MultiFactorAuthenticationTransition
Modifier and Type
Method
Description
`private void`
TransitionMultiFactorAuthentication.`doTransition(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, MultiFactorAuthenticationTransition transition)`
Respond to a signal to transition the MFA process to a new flow.
Method parameters in net.shibboleth.idp.authn.impl with type arguments of type MultiFactorAuthenticationTransition
Modifier and Type
Method
Description
`void`
PopulateMultiFactorAuthenticationContext.`setTransitionMapLookupStrategy(Function<ProfileRequestContext,Map<String,MultiFactorAuthenticationTransition>> strategy)`
Set the strategy to lookup the map of transition rules to apply.